Masumi Logo

/wallet-low-balance

Creates a wallet low-balance monitoring rule

POST
/wallet/low-balance
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Low-balance rule to create

Response Body

application/json

curl -X POST "https://loading/./../api/v1/wallet/low-balance" \  -H "Content-Type: application/json" \  -d '{    "walletId": "unique_cuid_v2_of_wallet",    "assetUnit": "lovelace",    "thresholdAmount": "5000000",    "enabled": true  }'
{
  "status": "success",
  "data": {
    "id": "low_balance_rule_id",
    "assetUnit": "lovelace",
    "thresholdAmount": "5000000",
    "enabled": true,
    "status": "Low",
    "lastKnownAmount": "4200000",
    "lastCheckedAt": "1970-01-20T20:00:36.260Z",
    "lastAlertedAt": "1970-01-20T20:00:36.260Z",
    "walletId": "unique_cuid_v2_of_wallet",
    "walletVkey": "wallet_vkey",
    "walletAddress": "wallet_address",
    "walletType": "Purchasing",
    "paymentSourceId": "payment_source_id",
    "network": "Preprod"
  }
}
Empty
Empty
Masumi Kanji